# docker-drupal9

## 1. Como instalarlo:

git clone http://gitlab.guifi.net/jose.legido/docker-drupal9.git

cd docker-drupal9

docker-compose up --build

Acceso:
http://localhost:8096

## 2. ¿Cómo funciona?

Levanta dos dockers, uno con Drupal y otro con la BBDD

### 2.1. BBDD
Levanta un docker de mysql en docker-compose con los siguiente parámetros

Versión: mariadb:latest
```
Variables:
        MYSQL_ROOT_PASSWORD: guifi
      MYSQL_DATABASE: net9
      MYSQL_USER: net9
      MYSQL_PASSWORD: development
Puertos: 3306
Volúmenes: ${PWD}/db_data:/var/lib/mysql
```

### 2.2. Drupal

Construye un Drupal a partir de la imagen drupal:9-apache para poder lanzar un script de customización e instalación luego

Consultar el fichero drupalguifi/Dockerfile para ver lo que instala. Está sacado del repositorio https://gitlab.guifi.net/ramon.roca/drupal9-guifi-networks

Cuando arranca por primera vez, lanza el script post_configuration.sh donde espera a que esté levantada la BBDD y luego lanza todos los comandos post instalación. Una vez instalado y configurado Drupal, crea el fichero /root/instalado para que cada vez que arranque, no lo instale todo.
